﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace howto_wpf_canvas_controls
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            canControls.DrawEllipse(
                10, 10, 100, 75,
                Brushes.LightGreen, Brushes.Green,
                3, new DoubleCollection() { 5, 5 });
            canControls.DrawRectangle(
                75, 30, 50, 200,
                Brushes.LightBlue, Brushes.Blue);
            canControls.DrawLine(30, 70, 180, 40,
                Brushes.Red, 4);

            PointCollection points = new PointCollection()
            {
                new Point(40, 100),
                new Point(250, 50),
                new Point(170, 160),
                new Point(120, 100),
                new Point(60, 210),
            };
            canControls.DrawPolygon(points,
                Brushes.Pink, Brushes.Red, 2,
                new DoubleCollection() { 2, 2 });

            PointCollection points2 = new PointCollection()
            {
                new Point(140, 150),
                new Point(190, 190),
                new Point(180, 240),
                new Point(110, 220),
                new Point(120, 170),
                new Point(150, 210),
            };
            canControls.DrawPolyline(points2,
                Brushes.Transparent, Brushes.Green, 3);

            canControls.DrawLabel(
                100, 100, 70, 40, "Centered",
                "Segoe", 12, FontWeights.DemiBold, FontStyles.Italic,
                Brushes.Black, 1, Brushes.Yellow, Brushes.Red);

            canControls.DrawDot(25, 150, 10, Brushes.LightCyan, Brushes.Blue, 1, null);
            canControls.DrawDot(50, 150, 10, Brushes.LightCyan, Brushes.Blue, 1, null);
            canControls.DrawDot(75, 150, 5, Brushes.Blue, null, 1, null);
            canControls.DrawDot(100, 150, 5, Brushes.Blue, null, 1, null);

            Label dot_label;
            canControls.DrawDot(out dot_label,
                150, 150, 20, Brushes.LightYellow, Brushes.Black,
                2, null, "1337", "Arial", 12, FontWeights.Normal, FontStyles.Normal,
                null, new Thickness(1), null, Brushes.Red);
            canControls.DrawDot(out dot_label,
                200, 150, 20, Brushes.Orange, Brushes.Blue,
                1, null, "1338",
                "Arial", 12, FontWeights.Normal, FontStyles.Normal,
                null, Brushes.Black);

            // Make a Rectangle the Microsoft way.
            //Rectangle rectangle = new Rectangle();
            //rectangle.Stroke = Brushes.Blue;
            //rectangle.StrokeThickness = 2;
            //rectangle.Fill = Brushes.LightBlue;
            //rectangle.Width = 100;
            //rectangle.Height = 150;
            //Canvas.SetLeft(rectangle, 50);
            //Canvas.SetTop(rectangle, 20);
            //canControls.Children.Add(rectangle);
        }
    }
}
